Closed Bug 777752 Opened 9 years ago Closed 9 years ago

[AccessFu] Disable EBT in Firefox 16 for Jelly Bean

Categories

(Core :: Disability Access APIs, defect)

16 Branch
ARM
Android
defect
Not set
normal

Tracking

()

RESOLVED FIXED
Tracking Status
firefox16 --- fixed
firefox17 --- unaffected

People

(Reporter: eeejay, Assigned: eeejay)

Details

Attachments

(1 file)

The changes needed to be done to support JB are probably to disruptive. I propose blacklisting JB in this release, and having full support for the next release.
s/to disruptive/too disruptive/
Attachment #646173 - Flags: review?(dbolter)
Version: Trunk → 16 Branch
Attachment #646173 - Flags: review?(dbolter) → review+
Comment on attachment 646173 [details] [diff] [review]
Disable explore by touch for devices on API version 16 (Jelly Bean) and above.

[Approval Request Comment]
Bug caused by (feature/regressing bug #): Explore By Touch support added initially for Ice Cream Sandwich.
User impact if declined: People on Jelly Bean will get very inconsistent user experience, so it's better to turn this off for Aurora on Jelly Bean alltogether.
Testing completed (on m-c, etc.): No, this is supposed to only run on Aurora, Central will get full jelly Bean support of the Explore By Touch feature.
Risk to taking this patch (and alternatives if risky): None.
String or UUID changes made by this patch: None.
Attachment #646173 - Flags: approval-mozilla-aurora?
Attachment #646173 - Flags: approval-mozilla-aurora? → approval-mozilla-aurora+
http://hg.mozilla.org/releases/mozilla-aurora/rev/712a7cdbdf7c
Assignee: nobody → eitan
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
(In reply to Marco Zehe (:MarcoZ) from comment #3)
> Comment on attachment 646173 [details] [diff] [review]
> Disable explore by touch for devices on API version 16 (Jelly Bean) and
> above.
> 
> [Approval Request Comment]
> User impact if declined: People on Jelly Bean will get very inconsistent
> user experience, so it's better to turn this off for Aurora on Jelly Bean
> alltogether.

If this remains true for FF17 on Aurora, please file a new bug and nominate the patch for approval. Thanks!
It doesn't. 17 will have full Jelly Bean support and thus doesn't need the feature to be disabled. This particular bug should just ride the 16 train to release. :)
Adjusting summary to make it unambiguous and setting tracking flag for 17 to indicate that that version is unaffected.
Summary: [AccessFu] Disable EBT in Aurora for Jelly Bean → [AccessFu] Disable EBT in Firefox 16 for Jelly Bean
You need to log in before you can comment on or make changes to this bug.